数据提供商: ScrapeCreators
Facebook Marketplace 搜索
$0.00188 / 次调用在 40 秒内响应
通过 ScrapeCreators在 Facebook上搜索市场信息。每次调用发送一次请求;无论是否返回数据,供应商都对请求计费,未找到内容的响应会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the ScrapeCreators endpoint /v1/facebook/marketplace/search on Glasser.bash
glasser run -p scrapecreators -e '/v1/facebook/marketplace/search' -i '{"lat":30.2677,"lng":-97.7475,"query":"bike"}' --endpoint-version 2使用接口版本 2。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"scrapecreators","endpoint":"/v1/facebook/marketplace/search","input":{"lat":30.2677,"lng":-97.7475,"query":"bike"},"endpoint_version":2}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 2,运行前请确认当前价格。
第 2 步尝试一个具体任务
购买前评估商品时,可以将可用详情与你的需求比较,确定需要进一步了解的内容。
复制此提示词到你的 Agent,按购买需求审阅商品。
提示词
Use scrapecreators:/v1/facebook/marketplace/search on Glasser.
Check this product against my buying requirements using the details actually returned.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"query",
"lat",
"lng"
],
"properties": {
"lat": {
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
"lng": {
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
"count": {
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
"query": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"cursor": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"sort_by": {
"enum": [
"suggested",
"distance_ascend",
"creation_time_descend",
"price_ascend",
"price_descend"
],
"type": "string"
},
"condition": {
"enum": [
"new",
"used_like_new",
"used_good",
"used_fair"
],
"type": "string"
},
"max_price": {
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
"min_price": {
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
"radius_km": {
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
"category_id": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"date_listed": {
"enum": [
"all",
"1",
"7",
"30",
"last_24_hours",
"last_7_days",
"last_30_days"
],
"type": "string"
},
"availability": {
"enum": [
"available",
"sold",
"all"
],
"type": "string"
},
"delivery_method": {
"enum": [
"all",
"local_pickup",
"shipping"
],
"type": "string"
}
},
"additionalProperties": false
}json
{
"lat": 30.2677,
"lng": -97.7475,
"query": "bike"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.00188 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |